import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class ContactScreen extends ConsumerWidget {
  const ContactScreen({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final theme = ref.watch(themePortProvider);
    
    return Scaffold(
      backgroundColor: theme.getColorFor(ThemeCode.backgroundPrimary),
      body: Container(
        margin: EdgeInsets.all(30),
        child: Center(
          child: Column(
            spacing: 10,
            children: [
              Text(
                "Contáctanos",
                style: TextStyle(fontWeight: FontWeight.bold, fontSize: 30),
              ),
              Text(
                "Trasládanos tus dudas e intentaremos responderte lo antes posible",
              ),
              DropdownMenu(
                initialSelection: "es",
                label: Text("País"),
                dropdownMenuEntries: [
                  DropdownMenuEntry(value: "es", label: "España"),
                  DropdownMenuEntry(value: "fr", label: "Francia"),
                  DropdownMenuEntry(value: "pt", label: "Portugal"),
                ],
              ),
              DropdownMenu(
                initialSelection: "online",
                label: Text("Canal de compra"),
                dropdownMenuEntries: [
                  DropdownMenuEntry(value: "online", label: "SF online shop"),
                ],
              ),
              Expanded(
                child: CustomTextField(
                  label: "Nombre",
                  hint: "Nombre y apellidos",
                ),
              ),
              Expanded(
                child: CustomTextField(
                  label: "Correo electrónico",
                  hint: "Correo electrónico",
                ),
              ),
              Expanded(
                child: CustomTextField(
                  lines: 3,
                  label: "Asunto del mensaje",
                  hint: "Escribe tu mensaje",
                ),
              ),
              Expanded(
                child: FilledButton(
                  onPressed: () => Navigator.pop(context),
                  child: Text("Enviar"),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
